Explorer++ Version History
--------------------------

Version 1.5.0
-------------
New features:
- Dark mode is now available (on Windows 10+) and can be enabled
  via Tools > Options > Appearance > Theme.
- The background context menu has been updated and the menu items
  displayed should be almost identical to those displayed by
  Explorer (this refers to the standard context menu and not the
  simplified menu shown in Windows 11).
- The way in which directories are monitored for changes has been
  updated and should mean that virtual folders are properly
  monitored for changes.
- The main font can now be changed via Tools > Options > Fonts.
  The updated font will be used by most of the controls in the
  main window. The font size can also be changed using the
  shortcuts Ctrl+- and Ctrl++. Ctrl+0 will reset the font size to
  the default.
- A Fluent UI icon set has been added. This icon set can be
  selected from Tools > Options > Appearance > Icon set.
- The way in which command line paths are handled has been
  updated. The change means that relative paths like ".." should
  now be correctly handled and a wider range of paths should be
  accepted. The updated handling also applies to the address bar.
- If Explorer++ is running when the session is ended (e.g. when
  logging off), the settings will now be saved first. Previously,
  the application would simply be terminated.
- DPI changes are now better handled.
- A global history menu is now available at Go > History. That
  menu will display a list of all history items, with more recent
  items appearing first.
- A frequent locations menu is now available at Go > Frequent
  Locations. This menu will display a list of frequently accessed
  folders, with folders accessed more frequently appearing first.
- When navigating to a history entry, the file selection will now
  be restored.
- When being used as the default file manager, Explorer++ now
  registers itself as a shell window. That means that in certain
  situations, like when opening an item in Explorer from another
  application, Explorer++ should be opened instead. See #270.
- When items are grouped, the sort mode can now be changed. This
  allows items to be grouped in one way but sorted in another.
  See #381.
- A search tabs dialog has been added. That dialog allows tabs to
  be searched for by both name and path.
- Pasting in virtual folders has been improved.
- Symlinks can now be pasted via Edit > Paste Symbolic Link. That
  operation requires elevation unless developer mode (Windows
  10+) is enabled.
- Large and extra large thumbnail views have been added.
- The options dialog now contains a search field. Entering a term
  in that field will filter the pages shown, with only pages that
  contain the search term remaining.
- The Ctrl and Shift keys can now generally be used to control
  how an item is opened. When Ctrl is down, the item will be
  opened in a new foreground tab; when Ctrl and Shift are down,
  the item will be opened in a new background tab; when Shift is
  down, the item will be opened in a new window.
- An option has been added that allows the user to choose whether
  tabs are opened in the background or foreground by default.
  This option also alters how the Ctrl and Ctrl+Shift modifiers
  work; if tabs are opened in the background by default, Ctrl and
  Ctrl+Shift will work in the opposite way from normal.
- The back, forward and up toolbar buttons can now be middle
  clicked.
- The up toolbar button now has a dropdown menu that displays a
  list of parent items.
- When a bookmark folder is clicked on the bookmarks toolbar, a
  dropdown menu will be shown. It's now possible to drag items
  from that menu to another location. It's also possible to
  rearrange the bookmarks on the menu via drag and drop.
- It's now possible to rename drives (which changes their label).
- When renaming an item, the display name is switched with the
  editing name. That ensures that the text being changed is
  correct when the item is a drive.
- It's now possible to delete a folder that's open in Explorer++.
  In that situation, the associated tab will navigate to the
  parent folder.
- A --select command line option has been added that will open a
  directory and select the file specified. See #208.
- Paths separated by forward slashes are now accepted. See #382.
- The home folder can now optionally be shown in the treeview.
- An option to display mixed files and folders has been added and
  can be set via Tools > Options > File and Folders > Display
  mixed files and folders. See #30.
- An option to choose whether to use a natural sort order (i.e. a
  sort order in which file2.txt comes before file19.txt) has been
  added and can be set via Tools > Options > File and Folders >
  Use natural sort order. See #46.
- An option to disable navigating up when double clicking in an
  empty area in the listview has been added. The option can be
  set via Tools > Options > Advanced > Go up on double click
  in listview.
- When right-clicking a bookmark in the main menu, a context menu
  is now shown.
- Added Arabic (United Arab Emirates), Greek and Portuguese
  (Brazil) translations.
- The layout will now be switched to RTL when using the Arabic or
  Hebrew translations.

Bug fixes:
- Fixed a crash that could occur on startup when the "Open new
  tabs next to the current one" option was enabled.
- Fixed a crash that could occur when autosizing columns.
- Fixed a crash that could occur when retrieving the icon for a
  treeview item. See #385.
- Fixed a crash that could occur when attempting to create a
  folder in a location where the total path length for the new
  item would be greater than 260 characters.
- Fixed a crash that could occur when retrieving the status of a
  network adapter. See #455.
- Fixed a crash that could occur after switching from thumbnails
  view. See #460.
- Fixed a crash that could occur during application shutdown. See
  #388.
- Non US-ASCII characters weren't being properly handled on the
  command line. See #266.
- Quoted paths are now consistently handled correctly when passed
  on the command line. This is important, for example, when
  multiple paths are being passed in and more than one path
  contains spaces (and therefore more than one path will need to
  be enclosed in double quotes).
- If a folder had an overlay icon, the icon for the folder itself
  would fail to show up in a variety of places (e.g. in the tab
  control, the manage bookmarks dialog, various menus).
- Previously, if an item was cut or copied within a tab and the
  tab was closed, the clipboard data would be lost when the
  application exited. Now, the clipboard is flushed when the tab
  is closed, which ensures the data will be retained, even once
  the application has exited.
- When running the application at 150% DPI, bookmarks wouldn't
  appear on the bookmarks toolbar, if the toolbar was initially
  empty. The height of the toolbar is now updated when an item is
  added, which fixes this issue.
- If the only bookmarks that appeared in the "Bookmarks" menu
  were under the "Other Bookmarks" folder, the menu wouldn't be
  built correctly.
- Fixed an issue with handling the properties item on the
  background context menu.
- Previously, listview groups were always sorted by name. Now,
  they're sorted based on the attributes of the groups
  themselves. See #101.
- The group an item is in is now updated when the item is
  updated. See #110.
- When pressing backspace in a locked tab to navigate up, the
  navigation would occur in that tab, instead of a new tab. See
  #265.
- If a filtered item is renamed, it will now be shown again if it
  no longer needs to be filtered. Previously, the item would
  remain hidden until filtering was disabled.
- A saved dialog position will now only be used if the saved
  position is visible on screen.
- When the single-click to open option and checkbox option are
  both enabled, clicking on a checkbox would previously result in
  the associated item being opened. Now, clicking on a checkbox
  will consistently result in the selection state being toggled.
  See #499.
- When renaming an item, the item is updated immediately if the
  rename succeeds. Previously, the item details would be updated
  a short time later. That meant that renaming an item, then
  immediately pressing enter would fail to open the item. See
  #281.
- Renaming virtual items in the treeview now works as expected.
- Pressing F2 wouldn't cycle between the filename and extension.
  See #293.
- Previously, when running the application under Windows PE, the
  treeview was empty.
- When selecting "Lock Tab", the tab acted as if "Lock Tab and
  Address" had been selected.
- Pasting an image from the clipboard wouldn't always generate a
  correct image file. See #307.
- The treeview now has both a minimum width and maximum width.
  This also means that in situations where the treeview width was
  previously reduced below 0, it will be shown again.
- When renaming an item in the listview or treeview,
  Ctrl+Backspace now erases the last word, rather than inserting
  a non-printable character. See #299.

Misc:
- ARM64 builds are now available.
- When changing the default file manager setting (via Tools >
  Options > General > Default File Manager), Explorer++ will only
  be set/removed as the default file manager for the current
  user. Previously, Explorer++ was set as the default for all
  users.
  If you set Explorer++ as the default in a previous version,
  remove it as the default before you update, then change it back
  to the default after you've updated.
- The HTML Help (chm) documentation has been removed. The help
  menu item now simply links to the online documentation, from
  which a PDF can be generated, if needed.
- Improved crash handling. The updated handling means that the
  application should show an informational dialog more reliably
  when a crash occurs.
- Clicking on a bookmark now has the same effect as entering the
  bookmark path in the address bar and pressing enter. That means
  that the handling improvements mentioned above for the command
  line/address bar also apply to bookmarks. This also means that
  a bookmark to a file will now open that file and a bookmark can
  now contain a relative path.
- If a navigation fails, the current folder won't change.
  Previously, Explorer++ would seemingly open the folder, though
  display no items.
- The clipboard data generated when copying items is now
  retrieved from the shell, rather than being manually generated.
  That should mean copying works better, particularly in virtual
  folders. See #80 and #99.
- The data generated when dragging an item is now retrieved from
  the shell, which means drag and drop operations should work
  better. See #144.
- Dropping on a non-folder target (e.g. an executable or zip
  file) should now work. See #75 and #297.
- The items shown on the "Go" menu have been updated.
- The ability to play a navigation sound has been removed.
- The option to use fixed width tabs has been removed, as it
  doesn't appear to be properly supported by the tab control. See
  #255.

Version 1.4.0 (29/01/2024)
--------------------------
New features:
- The bookmarks system has been rewritten. The updated system has
  the following changes from the previous system:
  - Bookmarks are now managed in a very similar way to how
    they're managed in web browsers such as Chrome and Firefox.
    Bookmarks can be added to one of three top-level folders:
    - Bookmarks toolbar
    - Bookmarks menu
    - Other bookmarks
  - The add bookmark and manage bookmark dialogs are more
    functional than their equivalents in the previous version.
    For example, the manage bookmarks dialog allows items to be
    renamed directly (rather than by opening the edit bookmark
    dialog) and shows an appropriate context menu for bookmark
    folders in the treeview.
  - Bookmarks can now be copied/pasted.
  - When a bookmark is copied, the location of the bookmark is
    also copied as plain text. This makes it possible to paste
    the location into other applications.
  - Bookmarks can now be dragged and dropped between the bookmark
    windows.
  - Bookmarks on the bookmarks toolbar can now be arranged via
    drag and drop.
  - Right-clicking an item in the dropdown shown when clicking a
    folder on the bookmarks toolbar now shows the appropriate
    context menu.
  - In addition to being able to bookmark the current tab, it's
    also possible to bookmark all open tabs.
  - When a bookmark is displayed, the icon for the associated
    folder will be used (rather than a generic icon).
  - When right-clicking a bookmark folder, it's possible to open
    all child bookmarks in new tabs.
  - A number of issues present in the previous system are no
    longer relevant. For example:
    - The bookmark menu wasn't being built correctly (folders
      could be shown with the wrong name).
    - Selecting "Bookmark This Tab..." from the dropdown shown
      when clicking a folder on the bookmarks toolbar had no
      effect.
    - "Open" and "Open in New Tab" items would be shown when
      right-clicking a folder on the bookmarks toolbar, but
      selecting them would have no effect.
    - Neither the bookmarks toolbar nor the bookmarks menu would
      update when a bookmark was moved up/down.
    - The bookmarks menu wasn't updated when a bookmark was
      updated.
  - The bookmark description field has been removed.
- Settings are now automatically saved every 30 seconds. This
  helps to prevent recent tabs or other settings from being lost
  if the application crashes.
- The default icons used by the application have been updated.
  Additionally, a second set of Windows 10 style icons have been
  added. It's possible to switch between the two icon sets via
  Tools > Options > General > Icon theme.
- Added partial support for high DPI displays.
- It's now possible to reopen a recently closed tab using File >
  Reopen Recent Tab. The most recently closed tab can be reopened
  using Ctrl+Shift+T.
- The display window can now be displayed on the right.
  Previously, it was always displayed at the bottom.
- Support for the "Date Deleted" and "Original Location" recycle
  bin columns has been implemented.
- A context menu is now shown when right-clicking the empty space
  in the tab bar.
- When renaming a file, it's possible to move to the next item by
  pressing tab. Shift+tab can now be used to move to the previous
  item.
- Toolbar buttons are now available for the following actions:
  - Split file
  - Merge files
  - Close tab

Bug fixes:
- The way in which column results and file icons/thumbnails are
  retrieved has been updated. This update brings a number of
  advantages:
  - Because of the way in which column result/icons/thumbnails
    were retrieved previously, it was possible for the
    application to crash if a navigation occurred while one of
    these items was being retrieved. Navigating to a different
    directory or closing a tab while results are being retrieved
    should now have no negative effects.
  - Column details are only retrieved for items that are visible
    (rather than all items).
  - Previously, it was possible for a user interface update to be
    done after a navigation had occurred. That is, column data
    for an item in a previous folder would be inserted into the
    listview for the current folder. This is no longer possible.
  - Previously, if an item was moved (within the listview) or
    deleted, it was possible for the wrong item to be updated
    once a column result/icon/thumbnail had been retrieved. This
    is no longer possible.
- When right-clicking on the listview background in Windows 10,
  Explorer++ would crash. To resolve this, the OneDrive shell
  extension is now ignored when showing the menu. See #35.
- Items in virtual folders (e.g. library folders) can now be
  renamed and deleted.
- Items can now be copied to/moved to virtual folders (using the
  "Copy To Folder"/"Move To Folder" functionality).
- New folders can now be created in virtual folders.
- Fixed issue with date conversion. Previously, dates would be
  converted in the current time zone, rather than the time zone
  in effect at the time being converted.
- Fixed an issue that caused taskbar thumbnails (shown on Windows
  7 and above) to not always be displayed correctly. See #55.
- When renaming a file, it's possible to press tab to put the
  next file into edit mode. On Windows 10, pressing tab would
  select the next file, but it would not go into edit mode.
  Fixed. See #50.
- Previously, when creating a file via the new menu in Windows
  10, the file would not be put into edit mode. Fixed. See #48.
- The Explorer++ icon shown in the volume mixer was larger than
  it should have been. Fixed. See #24.
- Under certain conditions, switching to a tab using the taskbar
  thumbnails would result in the wrong tab being selected. Fixed.
- Under certain conditions, refreshing a tab via the tab
  right-click menu would result in the wrong tab being refreshed.
  Fixed.
- Fixed a crash that could occur when switching directories.
- When grouping items by date created/modified/accessed, the
  items weren't being properly sorted into their groups (as
  month/year boundaries weren't being handled). Fixed.
- Previously, when a date was formatted as a friendly date,
  year/month boundaries weren't being taken into account. This
  meant that a date would only be shown as "Yesterday" if it was
  in the same month/year as the current date. Fixed.
- When adding or removing a column via the listview header
  context menu, the sort by/group by menus wouldn't be updated.
  Fixed.
- When opening the set file attributes dialog, the creation date
  shown was incorrect. Fixed.
- The set file attributes dialog wasn't correctly handling the
  case where an attribute checkbox was indeterminate. Fixed.
- There was an issue that meant that the group sorting direction
  in one tab could affect the group sorting order in other tabs.
  Fixed.
- When adding the folders button to the main toolbar (either by
  resetting the toolbar or by adding that individual button),
  the state of the button wouldn't be set correctly. Even if the
  folders pane was shown, the button wouldn't be checked. Fixed.
- When using the "list" view mode, right-clicking the empty space
  in a row would inconsistently result in the item being
  selected. Now, an item is only selected if you right-click its
  filename label.
- Some columns were effectively skipped over when saving data to
  the XML config file. Additionally, if one of these columns
  appeared first, the application would crash when exiting.
  Fixed.
- When loading from the XML config file, the initial color in the
  color rule dialog wasn't been loaded correctly. Fixed.
- There was an issue that prevented labels in the treeview from
  being unfolded. Now, if you move the mouse over a treeview
  label that's only partially visible, the rest of the label will
  be shown in a tooltip.
- Fixed a number of memory leaks.

Misc:
- Windows XP and Vista are no longer supported. Windows 7 is now
  the minimum supported version.
- All menus are now drawn in the standard system style, rather
  than a custom style.
- More detailed help information is now available when starting
  Explorer++ from the command line with the --help flag. Each of
  the available options is listed and briefly described. The
  names of some of the options have also been updated.
- Starting a command prompt via the file menu opens a command
  prompt in the current directory. Starting an admin command
  prompt now does the same thing (rather than opening in the
  default directory).
- The format used to display dates has been updated. Previously,
  the date and time were separated by a comma. Now, they're
  separated by a space.
- Infotips for files/folders are now retrieved on a background
  thread. This stops the application from hanging when
  retrieving the infotip for a large folder.
- Listview icons are now cached. This helps to avoid the
  flickering that can occur when refreshing a directory or going
  back/forward (the apparent flickering occurs as the default
  file/folder icons are replaced with the actual file/folder
  icons).
- Due to the way in which listview items were deleted when
  navigating away from a folder, navigations away from large
  folders could be slow. This process should now be quicker.
- The way in which the document summary fields (e.g. title,
  subject) are retrieved has been updated. This means that the
  fields should now be displayed for more file types (e.g. Word
  documents).
- When selecting a file path with spaces in the application
  toolbar button dialog, the path is now quoted (which is
  necessary for paths with spaces).
- An error message is now shown when opening an item on the
  application toolbar fails.
- The columns in the select columns dialog are now sorted by
  name, with the current set of columns appearing at the top of
  the list.
- When grouping by file extension, the application would attempt
  to retrieve the extension for both files and folders. Now, the
  extension will only be retrieved for files. Folders will be
  grouped together in a "Folder" group.
- The order in which view modes are cycled (when clicking the
  "Views" button on the toolbar or scrolling the mouse wheel
  while holding ctrl) has been reversed to match the order used
  in Windows Explorer.
- A third-party credits dialog has been added, which can be
  opened via the about dialog.

Version 1.3.5 (03/02/2013)
--------------------------
New features:
- Added support for another drag and drop format (which is used,
  for example, by Outlook 2003 when copying attachments).

Bug fixes:
- The 'Open in New Tab' menu item was not always been added to
  the folder context menu. Fixed.
- Previously, file times could not be set for a directory using
  the set file attributes dialog. Fixed.
- A UTF-16 LE BOM is now written when pasting text (as a file).

Misc:
- Logging is now available. It can be enabled using the following
  command:
  explorer++.exe -enable_logging
  Information will then be saved to Explorer++.log, which will be
  created within the same directory as the executable.

Version 1.3.4 (12/11/2011)
--------------------------
New features:
- Implemented the media protection column.

Bug fixes:
- If the search dialog was closed while searching, the
  application would crash. Fixed.
- When clicking the 'Close' button while searching (in the search
  dialog), the dialog would not close until the search was
  finished. It could also result in a crash. Fixed.
- Fixed multithreaded bug in the search dialog.
- In certain areas (such as the search dialog), Unicode
  characters were not been converted to lowercase correctly.
  Fixed.

Version 1.3.3 (29/10/2011)
--------------------------
Bug fixes:
- The media duration column was previously showing times in
  100-nanosecond units. Updated to hh:mm:ss.
- The processed search string (rather than original search
  string) was been stored in the search dialog. Fixed.

Misc:
- When searching using the search dialog, if the filename entered
  already appears in the history list, it will simply be swapped
  to the first position (rather than been re-entered).
- The number of history entries stored for the filename field in
  the search dialog is now capped at 20.

Version 1.3.2 (11/10/2011)
--------------------------
Bug fixes:
- Under some circumstances, a copy and paste/drag and drop
  operation would fail (when copying a message from Outlook 2010,
  for example).
- Fixed bug in customize colors dialog (entries were not been
  moved up/down correctly).
- When renaming a file in the listview with IME turned on, text
  was been overwritten (because the text selection was modified).
  Fixed.
- Links to zip files will now be opened in an external program,
  if 'Open zip files in Explorer++' is unchecked.

Version 1.3.1 (05/09/2011)
--------------------------
New features:
- The sort mode and direction are now saved in the search dialog.

Bug fixes:
- The image in the about dialog would not be shown when a
  translation was loaded. Fixed.

Misc:
- The help file (if present) can now be launched from the
  Help|Help menu. It must be named "Explorer++ Help.chm" and be
  in the same folder as the Explorer++ executable.
- Updated 'Always hide the link (.lnk) extension' option to read
  'Hide the link (.lnk) extension'.

Version 1.3 (20/08/2011)
------------------------
New features:
- The complete state of most dialogs are now saved.
- Most dialogs can now be resized.
- Significant improvements to split file dialog.
- Context menu extensions are now shown on the main right-click
  context menu.
- Enhanced undo functionality. Multiple rename operations (such
  as those performed by the mass rename dialog) can now be undone
  as a single set.
- 'Delete permanently' button added to main toolbar.
- Added 'Close Tabs to the Right' entry to the tab right-click
  menu.
- The listview hover time can now be set by the user.
- Right-clicking search dialog results now brings up the file
  context menu.
- Search dialog results can now be sorted by name/path.
- Added 'Case sensitive' option to filter dialog.
- The folder navigation sound can now be disabled via the options
  dialog.
- The search dialog can now search using regular expressions. A
  case insensitive flag has also been added.
- Deleting an item in the treeview will select the parent folder
  prior to deletion (allowing the previously selected folder to
  be deleted).
- Right-clicking on the root desktop folder in the treeview now
  brings up its context menu.
- Trailing spaces are now trimmed when renaming an item in the
  listview/treeview.

Bug fixes:
- In Windows 7 when closing a tab, the wrong taskbar preview pane
  would be closed (i.e. the taskbar preview pane for another tab
  would be closed instead).
- Fixed a crash that occurred when collapsing a node in the
  treeview.
- When single-click activation was enabled, and an area in the
  listview was selected, any file under the mouse when it was
  released would be opened. Fixed.
- Fixed 'Open Parent in New Tab' bug (parent of current tab would
  always be opened, regardless of which tab was clicked).
- When opening a folder in a locked tab, the newly created tab
  was not switched to correctly (which caused directory
  modifications to fail, for example). Fixed.
- Fixed toolbar bug (when a button was added or removed from a
  toolbar, the length of the toolbar would be reset, causing it
  to resize).
- Fixed listview gridline issue (Windows XP only).
- Under certain circumstances, translation DLL's would still be
  loaded, even if they did not match the current version. Fixed.
- Filename extension is now hidden correctly (if required) in
  details view.
- Size column now remains right aligned after sorting.
- When allow multiple instances was not set, and a new instance
  was started, it would not restore the previous window correctly
  if it was minimized. Fixed.
- Summary information stream codepage wasn't been checked. Fixed.
- Fixed control panel handling bug.
- Fixed drag and drop memory leak.
- Fixed bugs in mouse wheel handler.
- Fixed bug in options dialog (apply button not enabled when
  changing size selection in files and folders tab).

Misc:
- Version number now takes the form: Major.Minor.Micro.Revision.
- Improved drag and drop interoperability.
- File sizes are now formatted according to the current system
  locale.
- When collapsing the direct parent of the current folder in the
  treeview, the listview selection would change to the parent.
  Now works when collapsing multiple levels.
- The 'Size On Disk', 'Total Size', and 'Free Space' columns are
  now right aligned.
- The current directory is now set when the directory or tab
  selection changes.
- Updated 'Handle zip files' option to read 'Open zip files in
  Explorer++'.
- The error message shown on a translation DLL version mismatch
  will now be shown in the target language (when possible).
- The (main) right click context menu is no longer owner drawn.

Version 1.2 (13/09/2010)
------------------------
New features:
- Taskbar thumbnails are now shown for each tab in Windows 7
  (this can be turned on/off by toggling 'Show taskbar
  thumbnails' in the Options dialog).
- 'New Tab' added to Tasks jump list in Windows 7.
- Numerous improvements to drag and drop/copy and paste.
- Text on the clipboard can now be pasted as a file. The file
  will be given a name of the form:
  Clipboard Text ([datetime]).txt.
  This also applies to drag and drop.
- Images on the clipboard can now be pasted as a file. The file
  will be given a name of the form:
  Clipboard Image ([datetime]).bmp.
  This also applies to drag and drop.
- The contents of the address bar can now be dragged and dropped.
- Large toolbar icons added.
- Files can now be dropped onto existing application toolbar
  buttons. This will open the dropped files in that application.
- 'Automatically synchronize treeview with main pane' option
  added; this setting controls whether or not the treeview will
  automatically stay in sync with the listview whilst browsing.
- 'Automatically expand nodes on selection' option added; if this
  setting is enabled treeview nodes will automatically expand
  when they are selected.
- Shift+Mousewheel down and shift+mousewheel up can now be used
  to browse backwards and forwards, respectively.
- The tab bar can now be hidden when there is only one tab.
- The tab bar can now be shown at the bottom of the listview.
- A navigation sound is now played when entering a folder.
- The current folder is now selected when navigating up.
- Listview groups can now be collapsed (Vista and later).
- Listview checkboxes can now be turned on by selecting 'Use
  check boxes to select items' in the Options dialog.
- Closing the last tab will now close the main window (provided
  the corresponding option is selected in the Options dialog).
- Items can now be rearranged in details view.
- It is now possible to show file sizes in one of:
  Bytes/KB/MB/GB/TB/PB.
- Ctrl+Backspace can now be used to browse to the root of a tab.
- Shift+Double Click will now open the selected folder in a new
  window.
- "Desktop", "Pictures", "Music", "Videos" and "Documents" are
  all now valid address bar shortcuts.

Bug fixes:
- Several dialogs weren't closing when Escape was pressed. Fixed.
- Fixed 'Copy Universal File Paths' bug.
- Previously, if 'Hide file extensions' was checked, the display
  names of both files and folders would be altered. Fixed so that
  only files names are altered.
- When 'Single-click to open an item' was selected, navigation up
  would occur on a single click, instead of a double click.
  Fixed.
- Fixed directory modification bug.
- Fixed set file attributes dialog bug (file dates weren't been
  saved correctly).
- Fixed treeview rename bug (child items not updated).
- Fixed treeview sort bug.
- Fixed toolbar positioning bug.
- Fixed custom infotips bug.

Misc:
- All settings are now saved to the registry (or XML file) when
  'Ok' or 'Apply' is clicked in the Options dialog.
- The treeview no longer syncs with network/UNC paths.
- Copied data now remains on the clipboard after Explorer++
  exits.
- Search dialog now turns patterns of the form '???' into '*???*'
  before searching.
- Main window now obeys startup position information (e.g.
  minimized/maximized, etc).
- Wildcard select/deselect is now case insensitive.
- Can now scroll listview/treeview, even when it does not have
  focus.
- The options dialog is now modeless.
- Handle zip files set to false by default.

Version 1.1 (05/04/2010)
------------------------
New features:
 - Explorer++ can now replace Windows Explorer for all folders
   (Vista and later only).
 - New drag and drop type supported (this will now allow files to
   be dropped from Outlook and url's from a web browser's address
   bar).
 - Column widths are now saved and restored for all tabs.
 - Added 'Save Column Layout as Default' under the 'View' menu
   which will save the current tabs column layout as the default.
 - Items in the treeview can now be dragged and dropped using
   right click.
 - Folder sizes can now be disabled on removable and network
   drives.
 - The privilege level can now be shown in the title bar by 'Show
   privilege level in title bar' in the Options dialog.
 - The extended right click menu is now shown when shift is held
   down and an item is right-clicked.
 - Locked tabs now display a lock icon, rather than the normal
   folder icon.
 - Double clicking in a tabs whitespace will now navigate to the
   parent folder.
 - Middle click can now be used to open items in the treeview in
   a new tab.
 - Middle click can now be used to open items on the bookmarks
   toolbar in a new tab.
 - Middle click can now be used to open items on the drives
   toolbar in a new tab.

Bug fixes:
 - All items in the treeview are now sorted correctly.
 - Icons for the treeview are now gathered in a background
   thread.
 - Icon overlays are now shown in the treeview.
 - When .lnk extensions were hidden, and a file with the .lnk
   extension was renamed, it would lose its extension. Fixed.
 - When items were renamed, no icon overlay would be set. Fixed.
 - Under certain conditions (for example, when .lnk extensions
   were hidden in Windows Explorer), and a file of that type was
   renamed, its extension would be hidden in details view in the
   'Name' column. Fixed.
 - When the system font size for menus was changed, the custom
   menus would be sized incorrectly. Fixed.
 - When the treeview had focus, the file action buttons on the
   main toolbar (cut, copy, past, delete, etc) would be
   incorrectly disabled. Fixed.
 - When a tab was locked (lock tab and address), it would not be
   possible to open a new tab. Fixed.
 - Fixed toolbar bug.
 - Fixed search bug.
 - Fixed drives toolbar issue.

Misc:
 - Explorer++ will now only load translation DLL's that match the
   version of the main executable.
 - Updated About dialog and image.
 - Added menu image for Edit->Paste Shortcut.

Version 1.0.0.0 (23/11/2009)
----------------------------
New features:
 - It is now possible to search for files using Tools->Search.
 - Custom coloring rules can now be applied to the listview (i.e.
   an items text color can be set based on its filename and/or
   attributes).
 - Items can now be dragged using the right mouse button
   (listview only).
 - Tiles view now shows basic file information.
 - New tabs can now be created by double clicking in the blank
   space to the right of the last tab.
 - Explorer++ can now be restricted to only running one instance
   by deselecting 'Allow multiple instances' in the options
   dialog.
 - 'Large Icons' and 'Extra Large Icons' view modes added (Vista
   and later).
 - It is now possible to browse through tabs by moving the mouse
   over the tab window, and scrolling with the mouse wheel.
 - Various media metadata columns added (Album, Duration,
   Composer, etc).
 - Columns can now be rearranged by dragging and dropping them in
   place.
 - Folder sizes are now included when sorting by size.
 - Universal file paths can now be copied by selecting File->Copy
   Universal File Paths.
 - New items can now be inserted in their sorted position by
   selecting 'Insert new items in their sorted position' in the
   options dialog.
 - System files can now be hidden by selecting 'Hide protected
   operating system files' within the options dialog.
 - The link (.lnk) file extension can now be hidden by selecting
   'Always hide the link (.lnk) extension'.
 - Single click activation mode can now be used by selecting
   'Single-click to open an item (point to select)' in the
   options dialog.
 - Zip files may be opened externally by deselecting 'Handle zip
   files' within the options dialog.
 - All tabs can now be forced to have the same width by selecting
   'Force all tabs to have the same width' in the options dialog.
 - Double clicking a tab will now close it (provided 'Double
   click to close a tab' is selected in the options dialog).
 - Ctrl+double clicking a folder will now cause it to open in a
   new tab.
 - Alt+Home will now browse to the default tab folder.
 - In rename mode, F2 will now cycle between selecting an items
   filename, extension and filename and extension.
 - Ctrl+1...8 will now select the specified tab (between the
   first and eighth tab).
 - Ctrl+9 will now select the last tab.
 - In rename mode, tab will now select the next item and place it
   into rename mode.
 - Application toolbar buttons can now have their names hidden
   (so that only the icon is visible on the toolbar).
 - Right-clicking on the folder icon in the display window will
   now show the context menu for the selected files (or the
   normal right-click menu if no items are selected).
 - Ctrl+Scroll will now cycle through each of the view modes
   within the listview.
 - Ctrl+Pg Up and Ctrl+Pg Down as well as Ctrl+] and Ctrl+[ can
   now be used to select the previous and next tabs,
   respectively.
 - Alt+double click will now show an items properties.

Bug fixes:
 - When creating a file/folder in details mode, the item would be
   selected, but immediately taken out of rename mode. Fixed.
 - Improved listview grouping.
 - Fixed several drag and drop bugs.
 - Improved drag and drop item repositioning.
 - Fixed cut/copy bug.
 - Fixed 'Open In New Tab' treeview bug.
 - File->Set file attributes now works for the treeview as well.
 - Folders with a total size greater than 4GB would have their
   size shown incorrectly when the 'Show folder sizes' option was
   enabled.
 - The icon modifier shown when dragging and dropping now matches
   the action that will take place when the item is dropped.
 - Previously, if file was been pasted into a tab, and the
   directory of that tab was changed, the files would continue to
   be added. Fixed.
 - When creating a new tab, its directory would not always be
   monitored. Fixed.
 - Items would not always be correctly ghosted when they were
   cut. Fixed.
 - When creating a new folder using the 'New Folder' button on
   the main toolbar, the item would not be put into rename mode
   if the current directory was a directory root. Fixed.
 - The 'Open new tabs next to the current one' option was not
   been correctly read back from the registry, causing it to lose
   its value between sessions. Fixed.
 - The bookmarks toolbar would not be updated when a bookmark was
   renamed. Fixed.
 - Fixed double click bug.
 - When switching folders, the column header in details view was
   not been updated.
 - When entering a folder with an ampersand (&) in its name, the
   ampersand would be incorrectly translated into an underscore.
   Fixed.
 - Fixed new menu bug.
 - Improved mass rename dialog.

Misc:
 - Explorer++ will now save a minidump file in the event of a
   crash. This file is saved to %TEMP%.
 - Explorer++ can now be set as the default file manager by using
   the command:
   explorer++.exe -set_as_default
 - Explorer++ can now be removed as the default file manager by
   using the command:
   explorer++.exe -remove_as_default
 - Most dialogs are now centered initially, and will save various
   state information when closed.
 - Options dialog partially redesigned.
 - Items can now be copied, cut and pasted to/from the treeview
   using Ctrl+C, Ctrl+X and Ctrl+V, respectively.
 - Chevrons are now shown when toolbar buttons do not have enough
   room to be shown.
 - Columns (in details view) are no longer resized automatically
   when changing folders or refreshing.
 - Separate 'Group By' menu added, as appears in Vista onwards.
 - If a files name is only partially shown within the listview,
   it will be added to the files infotip.
 - There is now a confirmation dialog shown when deleting an
   application button.
 - Various new details shown on display window.
 - Previews on the display window will not be shown if the
   display window is inactive.
 - Ctrl+R can now be used to refresh a folder.
 - Ctrl+L can now be used to select the address bar.
 - Ctrl+E can now be used to duplicate a tab.
 - Left click drag and drop is now cancelled when the user clicks
   the right mouse button.
 - Tools > Show drive information removed.

Version 0.9.5.4 (31/05/2009)
----------------------------
New features:
 - Explorer++ can now be used in place of Explorer for filesystem
   folders by selecting 'Replace Explorer for filesystem folders'
   in the 'Options' dialog (requires Administrator privileges).
 - The positions of the main toolbars are now saved and restored
   between sessions.
 - Folders can now be dragged onto the bookmarks toolbar
   directly.
 - Files can now be dragged onto the applications toolbar
   directly.
 - Icons are automatically updated when a file association
   changes.
 - Any file that can be previewed in Explorer can now be
   previewed in Explorer++.
 - Pasted files are now selected upon creation (provided no other
   files are selected).
 - The apps key can now be used to show the main context menu.
 - Enabled drag and drop modifier keys for the tree view.
 - Right clicking the listview header in details mode will now
   bring up a context menu, which allows columns to be easily
   turned on and off.
 - The user's name can now be shown in the main title bar.
 - The 'Move Up' and 'Move Down' buttons in the 'Organize
   Bookmarks' dialog now work.
 - File previews in the display window can now be turned on or
   off using the 'Show file previews in display window' setting
   in the 'Options' dialog.
 - F6 and Shift+F6 can now be used to cycle through each window.
 - Ctrl+Enter will now open the selected folder in a new tab.
 - Ctrl+F4 can now be used to close the current tab.
 - Ctrl+Shift+P will now copy the current folders path to the
   clipboard.

Bug fixes:
 - When a new file was created, it would not always be put into
   rename mode automatically [Windows XP only].
 - Previously, the right click context menu would not be shown
   for some items. Fixed.
 - Fixed listview positioning bug.
 - If file extensions were hidden, and a filename started with a
   dot, no text would be shown for that item.
 - If file extensions were hidden in Explorer, they would be
   hidden in Explorer++ as well, regardless of settings. Fixed.
 - Drives are now added/removed correctly from the listview,
   treeview and drives toolbar.
 - If a cd/dvd was inserted/removed, the entire drive would be
   added/removed, even though the physical device had not
   changed. Fixed.
 - Files are now sorted using natural sort order (e.g. file2.txt
   comes before file19.txt).
 - If the folders pane had focus, and an item was selected, the
   file associated menus (such as properties) would be disabled
   incorrectly. Fixed.
 - Fixed several memory leaks.
 - Improved synchronization in details mode.
 - Improvements made to thumbnails mode.
 - Fixed window size issue.
 - Fixed address bar path issue.
 - Fixed thumbnail image positioning error.
 - Fixed back/forward menu bug.
 - Fixed directory monitoring bug.
 - In details mode, if the first column was removed and then
   added again, the other columns would not be shifted correctly.
 - Items on the "Send to" context submenu may not have worked
   correctly. Fixed.
 - Fixed drag and drop bug.

Misc:
 - The format of the time and date fields now follows the system
   time and date format.
 - Clicking the views button on the main toolbar now cycles
   between the various views, rather than showing the drop-down
   menu.
 - A small delay has been added to the time between when a file
   is dragged over a tab, and focus is switched to that tab.
 - There is now a confirmation dialog shown when deleting a
   bookmark.
 - In empty folders viewed in details mode, each column now has
   its width set to a default value.

Version 0.9.3.2 (24/03/2009)
----------------------------
New features:
 - An application toolbar has been added, which allows quick
   access to any program.
 - Drag and drop modifier keys (Ctrl+Shift, Ctrl, Shift, Alt) now
   work.
 - Explorer++ is now compatible with paths containing embedded
   environment variables, such as %systemroot%.
 - The tab control can now be extended across the entire window.
 - Full row selection in details mode can now be turned on or
   off.

Bug fixes:
 - Removable drives can now be ejected and removed safely while
   Explorer++ is running.
 - Drives are now inserted and removed from the drives toolbar
   dynamically, as they are connected and disconnected from the
   system.
 - If file extensions were hidden, and a file was renamed, the
   extension would be dropped.
 - When renaming a file within the listview, if the proposed
   filename ended with a trailing space or period, the rename
   operation would appear to succeed, even though it had not (as
   filenames cannot end with a trailing space or period).
 - When a folder was put into rename mode, if its name contained
   a period, everything before the period would be selected (as
   for files).
 - Corrected folder system infotip bug.
 - Previously, if files were dragged into Explorer++, and the
   auto arrange listview style was on, the files would not be
   repositioned.
 - Fixed drag and drop selection bug.
 - Fixed drag and drop position bug.
 - Fixed several drag and drop memory leaks.
 - When loading from a configuration file, the correct language
   selection would show up in the 'Options' dialog, but the
   default language would be used for the UI (regardless of the
   language that was loaded).
 - The "Show In Groups" option was not been saved to the XML
   file. Fixed.
 - The 'Move Up', 'Move Down', 'Enable' and 'Disable' buttons now
   work within the 'Set Default Columns' dialog.
 - Fixed listview focus issue.
 - The background of the listview was previously been set to
   white, regardless of the system background color.

Misc:
 - The languages shown in the 'Options' dialog are now generated
   dynamically, based on any translation DLL's within the same
   directory as Explorer++.
 - The normal rename/replace dialog is now shown when a collision
   is encountered during a copy/move operation.
 - The main windows can now be cycled through in reverse using
   Shift+Tab.
 - The size column in details view is now right-aligned.
 - Removed the 'Back' text from the toolbar back button.
 - The 'Filter Results...' menu item under View|Filter has been
   changed to 'Set Filter...'.

Version 0.9.2.1 (15/02/2009)
----------------------------
New features:
 - Each tab now has an icon attached to it (the folder icon from
   the tabs' current directory).
 - The default directory for new tabs can now be set from within
   the 'Default Settings' pane of the 'Options' dialog.
 - Explorer++ is now compatible with application command buttons
   and keys, such as the back and forward buttons found on some
   mice and keyboards.
 - Infotips can now be turned off, set to the system ones (i.e.
   the ones used by Windows Explorer), or be set to custom (for
   now, this simply sets the infotip to be the files modification
   date).
 - Tab lock state and custom name are now saved between sessions.

Bug fixes:
 - Fixed several directory monitoring bugs.
 - Shortcuts that pointed to a website (via a URL) would
   previously not be opened within the default browser. Fixed.
 - When two files were selected, whose individual sizes were less
   than 4GB, but whose combined size was greater than 4GB, the
   combined size would not be shown correctly. Fixed.
 - When a file size was between 1000 and 1024 of the specified
   unit (bytes, KB, MB, etc), the fourth character would not be
   shown, causing the size to appear to be incorrect. Fixed.
 - Fixed a paste file bug.
 - If a file that could not be cut (such as a virtual item) was
   cut anyway using Ctrl+X, the item would be ghosted whether or
   not it was actually placed on the clipboard. Fixed.
 - The address bar would not scroll horizontally. Fixed.
 - Fixed tab highlight bug.
 - Because of a timing problem, it was possible that when
   Explorer++ was opened, the first icon(s) shown may not have
   been correct. Fixed.

Misc:
 - Ctrl+N can now be used to create a new folder.
 - On a rename operation, if a files new name contains an invalid
   character [\/:*?"<>|], an error dialog will be shown.
 - When an item is put into rename mode by clicking on it twice,
   only the files name (and not the files extension, if any),
   will be selected.
 - An error message is now shown when attempting to open a
   shortcut that points to a non-existent item.
 - Items on the 'Go' menu now have their names taken directly
   from the operating system. This means, for example, that the
   'My Computer' item will be shown as 'My Computer' on XP, but
   'Computer' on Vista.
 - Added an error message for the situation when a new folder
   could not be created.
 - A slight change to the bookmarks key means that bookmarks
   saved in previous versions will not have their paths loaded in
   this version (this only affects bookmarks saved to the
   registry).


Version 0.9.0.8 (03/02/2009)
----------------------------
New features:
 - Sort by File System now works.
 - Folders created using the 'New Folder' toolbar button or menu
   item are now automatically selected for rename when they are
   created.

Bug fixes:
 - Fixed rebar positioning error that occurred when using the
   "Windows Classic" theme.

Version 0.9.0.6 (31/01/2009)
----------------------------
Bug fixes:
 - Fixed overflow bug.

Misc:
 - Any previous registry settings can now be cleared using the
   command:
   explorer++.exe -clear_settings
   This command should be used if either version Alpha 1 or Alpha
   2 have previously been run.

Version 0.9.0.0 (30/01/2009)
----------------------------
New features:
 - Explorer++ is now built as a Unicode executable.
 - Explorer++ can now save its settings to an XML preference file
   (config.xml). Explorer++ will attempt to load its settings in
   the following order:
    1. config.xml (this file must be in the
      same directory as Explorer++)
    2. the registry
   If neither of these options are available, Explorer++ will
   switch to using its internal defaults.
   To save to the config file initially, check the 'Save
   preferences to XML file' in the 'Options' dialog.
 - Significantly upgraded bookmarks system.
 - Icon overlays (such as those used by TortoiseSVN) are now
   supported.
 - Items that are created using the shell 'New' menu are now
   automatically selected and put into rename mode on creation.
 - A file rename operation can now be undone by selection
   'Edit|Undo'.
 - Folder sizes are now shown in details view.
 - A drives toolbar is now available, which allows for quick
   access to any drive.
 - Bands on the rebar can now be repositioned.
 - Tabs can now be renamed, by right clicking on them and
   selecting 'Rename Tab...'.
 - 'Lock Tab and Address' now works. This option, when selected,
   will block any directory changes from occurring within the
   current tab.
 - Folder shortcuts are now opened within Explorer++.
 - When in thumbnails view, image thumbnails are now gathered
   independently of the main thread.
 - Added 'Open Parent in New Tab' menu item to tab context menu.
 - Added 'Bookmark Tab' toolbar button.
 - Added 'New Tab' toolbar button.
 - Added 'Show Command Prompt' toolbar button.
 - Added 'Organize Bookmarks' toolbar button.
 - Added option to disable treeview delay.
 - 'Show In Groups' now works when sorting by camera model.
 - 'Show In Groups' now works when sorting by date taken.
 - 'Show In Groups' now works when sorting by image width.
 - 'Show In Groups' now works when sorting by image height.
 - 'Show In Groups' now works when sorting by file extension.
 - 'Show In Groups' now works when sorting by file system.
 - 'Show In Groups' now works when sorting by network adapter
   status.

Bug fixes:
 - All columns could previously be deselected, causing the
   program to crash. Fixed.
 - Fixed several small memory leaks that occurred in thumbnails
   view.
 - When at the root of the namespace (i.e. the desktop),
   refreshing the tab would change the path to the real desktop.
   Fixed.
 - When at the root of the namespace (i.e. the desktop), the
   'New' menu item would not appear on the right click context
   menu. Fixed.
 - Fixed a problem that occurred when cutting items.
 - Fixed a drag and drop issue that caused an item dragged
   between tabs not to be moved.
 - When dragging and dropping an item between tabs, the item
   count in the destination tab and item selection count in the
   source tab would become corrupted. Fixed.
 - When creating a new tab without the 'auto arrange' style, auto
   arrange would be set anyway. Fixed.
 - Fixed selection bug.
 - When items (such as executable files) are opened from within
   Explorer++, their start directory is now set to the directory
   they reside within.
 - Fixed several small memory leaks that occurred when closing a
   tab.
 - Improved synchronization between threads.

Misc:
 - The menu selection color is now alpha blended.
 - Drives in the treeview are now sorted by drive letter, rather
   than drive name.
 - Pressing the space bar will now cause whichever item in the
   listview has focus to be selected. If not item has focus, the
   first item is selected.
 - Paths specified on the command line no longer need a trailing
   backslash. For example, the commands:
   explorer++.exe C:\
   and
   explorer++.exe C:
   will both open the C:\ directory in its own tab.
 - A command line usage message can now be shown by typing:
   explorer++.exe /?
 - Slight changes have been made to the structure of the registry
   keys used to save program settings. These changes mean that
   tabs saved in previous versions of Explorer++ will not load in
   this version.

Version Alpha 2
---------------
26/09/2008:
New features:
 - The language to use can now be selected in the 'Options'
   dialog, in the 'Language' tab. The language Explorer++ uses is
   based on the following (in order of importance):
   1. Any language specified on the command line.
   2. Any language saved from a previous session (using the above
      method).
   3. The system default language.
 - Files can now be dragged and dropped onto the treeview
   control.
 - 'Copy File Paths' can now be used on items in the treeview.
 - 'Cut' and 'Copy' can now be used to copy and move items from
   the treeview.
 - The 'Back' and 'Forward' buttons on the main toolbar now show
   what folder is back/forward in their infotip.
 - 'Show In Groups' now works when sorting by title.
 - 'Show In Groups' now works when sorting by subject.
 - 'Show In Groups' now works when sorting by author.
 - 'Show In Groups' now works when sorting by keywords.

Bug fixes:
 - Fixed bug that would cause directory monitoring to stop
   working under certain circumstances.
 - Fixed listview drag and drop bug.
 - Fixed bug that arose when sorting items by comment.
 - Fixed 'Merge Files' cancel bug.
 - Fixed 'Split File' cancel bug.
 - Fixed small 'Show In Groups' bug.
 - Fixed toolbar show/hide bug.

Misc:
 - A small delay has now been added to the treeview, meaning that
   when a different folder is selected, it is not browsed to
   immediately.

02/09/2008:
New features:
 - 'Show In Groups' now works when sorting by attributes.
 - 'Show In Groups' now works when sorting by file owner.
 - 'Show In Groups' now works when sorting by file creation date.
 - 'Show In Groups' now works when sorting by date of last
   access.
 - 'Show In Groups' now works when sorting by short name.
 - 'Show In Groups' now works when sorting by product name.
 - 'Show In Groups' now works when sorting by company name.
 - 'Show In Groups' now works when sorting by file description.
 - 'Show In Groups' now works when sorting by file version.
 - 'Show In Groups' now works when sorting by product version.

Bug fixes:
 - When closing a tab, directory monitoring would sometimes be
   stopped for a different tab. Fixed.
 - Fixed toolbar bug that would sometimes cause the program to
   crash on exit.
 - When the column representing the current sort mode is
   deselected, the sort mode is automatically changed to the
   first available one.

Misc:
 - Drives in 'My Computer' are now sorted according to drive
   letter when sorting by name.

21/08/2008:
New features:
 - Confirmation when closing multiple tabs can now be requested
   when the 'Ask for confirmation before closing all tabs' option
   is selected.
 - The main toolbar can now be customized by selecting
   'Customize...' on the toolbar context menu or on the
   'View|Toolbar' menu.
 - Added an error message for the situation when a file cannot be
   renamed.
 - Alt+D will now shift focus to the address bar.
 - F4 will now show the drop down for the address bar.
 - Ctrl+B can now be used to access the 'Organize Bookmarks'
   dialog.
 - The tab button can now be used to switch between the main item
   pane, the folders pane and the address bar.
 - Gridlines in details view can now be toggled on or off via the
   'Show gridlines in details view' option within the 'Options'
   dialog.

Bug fixes:
 - Fixed 'Remove' button within the 'Destroy Files' dialog.
 - Fixed 'Remove' button within the 'Merge Files' dialog.
 - Fixed bug when moving columns up/down in column selection
   dialog.
 - Fixed several other small bugs within column selection dialog.
 - The 'Auto Arrange', 'Show In Groups' and 'Sort Ascending'
   default options are now saved and loaded.

Misc:
 - Default output file when merging is now 'output.txt'.
 - Menu mnemonic characters are now underlined on the main menu
   after the alt key is used to select the menu.
 - Description of column items are now shown in the 'Select
   Columns' dialog.

10/08/2008:
New features:
 - The right click context menu is now owner drawn.

Bug fixes:
 - Fixed bug that would cause the 'Sort By' submenu to be drawn
   incorrectly.
 - Fixed position of the 'hide folders pane' button.
 - Fixed bug relating to the 'Address Bar' item on the toolbars
   menu.

20/07/2008:
New features:
 - Files can now be merged using 'Actions|Merge Files...'.

Bug fixes:
 - Fixed 'Go' button bug.
 - The paste button on the main toolbar is now enabled
   automatically when there are files on the clipboard, and
   disabled automatically when there are none.

13/07/2008:
New features:
 - Added 'Autosize Columns' to the 'View' menu, which will resize
   listview columns to fit in the text of all items.
 - Files can now be dragged and dropped between tabs.
 - Added a main toolbar context menu.
 - The main menus as well as the main toolbar context menu are
   now owner drawn. Various items on the main menus now have
   pictures shown alongside the menu text.
 - More main toolbar buttons added.

Bug fixes:
 - Improvements made to drag and drop handling.

Misc:
 - Aesthetic changes made to the About dialog.
 - Build date/time is now shown in the About dialog.

07/07/2008:
New features:
 - Menu help strings are now shown for items on the shell context
   menus.
 - Added 'Bookmark Folder...' and 'Copy Folder Path' to right
   click context menu.
 - When browsing into a folder, the path of the folder been
   loaded is now shown in the status bar (i.e. if browsing into
   the 'C:\' folder, the text in the status bar will read
   'Loading C:\...').
 - Added 'Duplicate Tab' to right click menu for tabs, which will
   open a duplicate of the specified tab in a new tab.
 - Added 'Lock Tab' to right click menu for tabs to prevent a tab
   been closed.
 - Tabs can now be bookmarked using the keyboard shortcut
   'Ctrl + D'.
 - Files can now be split using 'Actions|Split File...'.
 - Files can now be permanently deleted using 'Actions|Destroy
   Files...'.
 - If 'Show Folder Sizes' is activated in the 'Tools|Options'
   dialog, folder sizes will now be shown in the display window
   when a folder is selected.

Bug fixes:
 - Fixed 'Refresh Tab' on tab right click menu so that it
   refreshes the specified tab instead of the one that currently
   has focus.
 - Thumbnail images are now shown in the correct position when
   items are sorted in groups.
 - Small bug fixed relating to showing items in groups when
   sorting by name.
 - Menu help now shows for items on the context menu for
   individual tabs.

03/07/2008:
New features:
 - Thumbnails view can now be set as the default view in the
   'Default Settings' page of the 'Tools|Options' dialog.

Bug fixes:
 - Bookmarks can now be rearranged and have their properties
   (name, location, description) changed.
 - Tabs now update when relevant settings in the 'Tools|Options'
   dialog have been applied.
 - Fixed treeview sorting bug.
 - Folders created are now inserted into their correct position
   in the treeview automatically.
 - Some improvements made to 'Tools|Show Drive Information'.

Misc:
 - New tabs can be opened with middle click even if the listview
   window does not have focus.

01/07/2008:
New features:
 - Thumbnails view has been added to the 'View' menu. As this is
   the first implementation of thumbnails view, it may still
   contain some bugs.
 - Added 'File|Copy Column Text', which will copy the currently
   selected items' column text to the clipboard.
 - 'File|Copy Paths' can now copy the full paths of multiple
   items.

Bug fixes:
 - Fixed tab swapping bug.
 - Fixed column sorting bug.
 - Fixed file size bug that arose when files in a directory were
   deleted then created.

29/06/2008:
New features:
 - Virtual folders can now be opened from the command line simply
   by supplying their name:
   e.g. explorer++.exe "control panel"
   will open the Control Panel.

Bug fixes:
 - Improvements made to sorting by column.
 - Fixed bug relating to directories opened via the command line.
 - Fixed bug relating to columns not showing up for the printers
   folder.
 - Folder specific columns added for the 'My Network Places'
   folder.
 - Additional virtual folders (Recycle Bin, Printers, Network
   Connections and My Network Places) now have their active
   columns saved and loaded.
 - Fixed bug where program would sometimes stop responding after
   the columns for a folder had been changed.

Misc:
 - 'My Network Places' on the 'Go' menu has been changed to read
   'Network' on Windows Vista.
 - The items shown on the 'Sort By' menu for a particular tab now
   depend on the columns that are active for that tab.
 - Menu help messages added for items on the 'Sort By' menu.

Version Alpha 1
---------------
26/06/2008:
New features:
 - The display window font can now be changed (via 'View|Change
   Display Colours').
 - 'Open in New Tab' added to right click menu for treeview
   items.

Bug fixes:
 - Fixed combobox keyboard input bug.
 - Image previews in the display window now adjust their width
   (to maintain the correct aspect ratio) as the display window
   is vertically resized.

25/06/2008:
New features:
 - Additional settings added to default options dialog (auto
   arrange, show in groups and sort ascending).
 - The program can now be launched from the command line with a
   set of directory arguments:
   explorer++.exe dir1 dir2 ... dirN
   where dir1 to dirN are the directories to open. Each directory
   will be opened in its own tab.

Bug fixes:
 - Newline characters which are embedded in comments for an item
   in details view have been replaced with a space.
 - Virtual folders now have their friendly name shown in the
   title bar when the program is configured to show full
   directory paths.
 - Fixed drag selection bug.

Misc:
 - The display window can no longer be resized to zero height.

16/06/2008:
Bug fixes:
 - Minor internal bugs fixed.

10/06/2008:
Bug fixes:
 - Greater amount of internal error checking added.

Misc:
 - New tabs opened with the middle mouse button are no longer
   switched to automatically.

08/06/2008:
New features:
 - Tabs can now be closed with the middle mouse click button.
 - Folders can now be opened in a new tab by clicking on them
   with the middle mouse button.

Bug fixes:
 - Fixed slight bug with tab selection when a tab is closed.
 - Sometimes when a folder was created, it would be inserted into
   the treeview twice. Fixed.
 - Fixed slight problem involved with swapping tabs.

Misc:
 - Changed main window title from 'Explorer++ - Current
   directory' to 'Current directory - Explorer++'.
 - Display window can now be vertically resized.

06/06/2008:
Bug fixes:
 - Greater amount of error checking added to treeview control.
 - Minor treeview collapse selection bug fixed.
 - Bug associated with setting column data in details view fixed.
 - In options dialog, in the default settings tab, setting the
   details radio button had no effect on the state of the apply
   button. Fixed.
 - Fixed small bug where program could crash as a tab is closed
   (would only happen under very specific circumstances).

05/06/2008:
Bug fixes:
 - Display window now redraws its gradient background as the main
   window is resized.
 - For items in the my computer folder which have no comment, no
   comment text is shown in details view (previously a random
   series of characters was shown for an item with no comment).

04/06/2008:
Bug fixes:
 - Fixed treeview updating bug relating to folder renaming.
 - Minor sorting bug fixed.
 - Fixed bug relating to the collapse state of treeview items
   when a folder is deleted.
 - Slight alteration made so that the copying files dialog is now
   shown during a paste files operation.
 - Changed copy and cut on context menu so that they are handled
   internally, rather than by the shell.

03/06/2008:
New features:
 - Added 'Open in New Tab' to right click menu for folders.

Bug fixes:
 - Fixed bug where delete file permanently on File menu was only
   sending files to recycle bin.
 - Preview images were only been shown for images with a lower
   case extension. Fixed to be case insensitive.
 - Fixed thread synchronization bug, which would sometimes cause
   the program to hang.

02/06/2008:
Bug fixes:
 - Fixed small bug relating to directory monitoring/updating.
 - Fixed problem with options not been applied in 'Tools' >
   'Options' general tab.
 - Slight modification made to 'Tools' > 'Show drive information'
   meaning it may no longer crash. Information shown may be
   incorrect though.

01/06/2008:
* INITIAL RELEASE *